#[macro_export]
macro_rules! input {
    ($prompt:expr) => {{
        use std::io::{self, Write};
        print!("{}", $prompt);
        io::stdout().flush().unwrap();

        let mut input = String::new();
        io::stdin()
            .read_line(&mut input)
            .expect("Error reading input");
        input.trim().to_string()
    }};
}
